Bug 164343 - system-config-*: No fonts found
system-config-*: No fonts found
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 00:17 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 14:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-07-27 00:17:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
After having tried to strip down/minimize a rpm/yum/apt based install of FC4, several system-config-* tools issue an error similar to this at startup:

# system-config-securitylevel
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ssh -X root@remotesystem
2. Deinstall all font rpms and dependencies of them.
3. yum install system-config-* config tools (e.g. system-config-securitylevel or system-config-network; I haven't tried others)
4. Launch one of the system-config-* tools
 

Actual Results:  # system-config-securitylevel
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org


Expected Results:  system-config-* tools should start.

"yum install fonts-x11-base" resolves this issue at least for system-config-securitylevel and system-config-network.


Additional info:

I am aware, this isn't necessarily an xorg-x11 problem.

But who else's? Gtk, pygtk, system-config-*?

Fact is, a certain class of applications (Gtk? pygtk?) is unusable without fonts having been installed before, but there isn't an rpm-package dependency denoting this fact.
Comment 1 Mike A. Harris 2005-08-16 18:04:52 EDT
system-config-*, like most KDE and GNOME (and Qt, GTK+) applications,
uses client side fonts via fontconfig/Xft.  This requires that fonts
must be installed and properly configured for Xft/fontconfig usage
on the system that the application is running on (not the system the
X server is running on).

This is not a bug at all.  You must not uninstall the fonts, or other
dependencies of software, or you'll get software that does not work.

Closing NOTABUG.
Comment 2 Ralf Corsepius 2005-08-16 22:38:56 EDT
I could not disagree more. This is a package dependency problem. 

If these tools require a font or Xft, package dependencies must force users to
have them installed, if these packages require other tools, appropriate package
dependencies must be added.
Comment 3 Mike A. Harris 2005-08-22 13:57:33 EDT
(In reply to comment #2)
> I could not disagree more. This is a package dependency problem. 

Fair enough.  It has absolutely nothing whatsoever to do with the
xorg-x11 package the bug is filed against though.  I'm reassigning
it to the "distribution" component.  Someone else will review it
and provide a second opinion, and reassign if appropriate.

> If these tools require a font or Xft, package dependencies must force users to
> have them installed, if these packages require other tools, appropriate package
> dependencies must be added.

That depends on wether or not the fonts are considered part of the base
operating system or not. But again, that isn't something that is decided
in the xorg-x11 packaging side of things, so someone else will determine
that and make a distribution-level decision.
Comment 4 Bill Nottingham 2005-08-22 14:02:30 EDT
Perhaps it should be done at the toolkit level - since these tools are in pygtk,
that would be gtk2.

Alternatively, it could be drilled all the way back into the base X libraries.
Comment 5 Matthias Clasen 2005-08-24 14:18:32 EDT
I don't think package dependencies are the right means to protect against user
stupidity like

1. uninstall all fonts
2. complain that no fonts show up
Comment 6 Ralf Corsepius 2005-08-24 22:16:14 EDT
(In reply to comment #5)
> I don't think package dependencies are the right means to protect against user
> stupidity like
> 
> 1. uninstall all fonts
> 2. complain that no fonts show up
I disagree.

The point is:
'yum install system-config*' results into unusable 'system-config*'-tools,
because fonts are missing.

Note You need to log in before you can comment on or make changes to this bug.